[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Lintian based autorejects

On Tuesday 27 October 2009, Joerg Jaspert wrote:
> Now, in this case there is no need to move it, as looking at
> http://lintian.debian.org/tags/no-standards-version-field.html shows
> that we do not see any of the D-I packages, so I assume lintian is
> detecting it properly and we do not need to move it.

Ah, it seems a test for this was indeed added in Lintian in the not too 
distant past. That also explains why [1] shows "unused override" for many 
of our packages for that tag.

Note that both live-installer and userdevfs are listed on the page and 
*are* D-I packages.

live-installer also has a deb, and thus _should_ have a standards version. 
I'll file a BR.

userdevfs only has a udeb, so that looks like a bug somewhere.
Ah, I see the reason. Current version in the archive uses XB-Package-Type 
instead of XC-Package-Type. But that has already been corrected in SVN, so 
should get resolved with the next upload.

Thanks for the reply Joerg. Guess I'll also drop all the no longer needed 
overrides for our packages.


[1] http://lintian.debian.org/full/debian-boot@lists.debian.org.html

Reply to: